# Juan Canham's Resume Repo

## Motivation

As a pragmatist I want to use existing tools e.g hackmyresume,
however I also want to personalise the input format as the roles on my CV
are less important than the projects and work that I did as part of them.

Additionally I want a single tool used to generate
* My Dynamic Web CV e.g [cv.juancanham.com](https://cv.juancanham.com)
* Public Static CVs

## Contents
This repository contains 

* [The source yaml file used to generate my CV](resume.yaml)
* [The resultant markdown](Resume.md)
* The tools to generate my CVs
  * [The script used to generate it](build.sh)
  * [The settings](settings.yaml)
  * [The Intermediary json passed to hackmyresume](resume.json)
  * [A script to preform arbitrary transforms on yaml](transform.py)
* The tools to generate my host my CV:
  * [cloudformation templates](deploy/cloudformation/)
  * [scripts used to deploy them](deploy/)
* [A makefile to tie it all together](Makefile)


## Dependencies
* node tools (see also [package.json])
  * work on at least node 8
  * hackmyresume
  * kcv
  * fresh

* python tools (see also [requirements.txt])
  * qrcode
  * awscli - used to create the static s3+cloudfront website
  * linters

## License

Code: BSD-2-Clause
