#!/usr/bin/env python
"Creates a QR code with a smaller border than the standard cli"
import sys
import os
from qrcode import QRCode


def generate_qrcode(site, filename):
    """Function to generate QR code wth boarder of 1"""
    qrcode = QRCode(border=1)
    qrcode.add_data(site)
    qrcode.make()

    img = qrcode.make_image()

    filename = os.path.join("images", filename)
    filename += ".png"
    img.save(filename)


if __name__ == "__main__":
    generate_qrcode(sys.argv[1], sys.argv[2])
